Bug 489572 - System lockup after screen lock, can't suspend, and can't shutdown
System lockup after screen lock, can't suspend, and can't shutdown
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 14:10 EDT by Andrew Overholt
Modified: 2010-06-28 07:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:26:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
background after coming back from screen lock with no password prompt (330.15 KB, image/jpeg)
2009-03-10 14:11 EDT, Andrew Overholt
no flags Details
I/O errors on console (507.54 KB, image/jpeg)
2009-03-10 14:12 EDT, Andrew Overholt
no flags Details
Found this kerneloops file in /tmp with timestamp which seems to match the screen lockup (2.78 KB, application/octet-stream)
2009-04-10 17:34 EDT, Rick Allen
no flags Details
Bug report generated when screen lock issue occurred. (312.20 KB, text/plain)
2009-07-16 15:44 EDT, Christina Rhine
no flags Details

  None (edit)
Description Andrew Overholt 2009-03-10 14:10:34 EDT
Description of problem:
I locked my system to go away for lunch and came back and wasn't prompted for my password.

Version-Release number of selected component (if applicable):
2.6.27.19-170.2.35.fc10.x86_64

How reproducible:
Almost 100% (yes, I realize that's vague but I honestly don't get it every time :( )

Steps to Reproduce:
1. Press Ctrl-Alt-l to lock system and go away for lunch
2. Come back and move mouse; notice nothing displayed on external monitor
3. Open laptop lid and background comes up but no username/password prompt

Or:
1. Suspend
2. Sometimes it works (rare)
3. Mostly it just sits with a blinking half moon thing

Or:
1. System->Shutdown
2. Doesn't actually shutdown and I come in the next day to a hot laptop with a terminal full of I/O error messages  

Expected results:
Functioning suspend and shutdown

Additional info:
This has been happening for at least 2 months.  I never really trust suspend to hibernate but they have both worked on and off in F-9 and F-10.  I am fully willing to accept that it's a hardware issue but I don't know how to diagnose that.  I looked in Palimpsest and it showed my disk as being fine.  When I'm running I rarely notice any odd behaviour - it just seems to be around suspend/shutdown/back-from-screen-lock.  I will do whatever it takes to diagnose this problem.  Thanks.

Smolt profile:

http://www.smolts.org/show?uuid=pub_e3f57b99-cd86-4253-bc26-4427d1b2a226

ThinkPad x61.
Comment 1 Andrew Overholt 2009-03-10 14:11:42 EDT
Created attachment 334686 [details]
background after coming back from screen lock with no password prompt
Comment 2 Andrew Overholt 2009-03-10 14:12:13 EDT
Created attachment 334687 [details]
I/O errors on console
Comment 3 Rick Allen 2009-04-10 17:32:22 EDT
I'm seeing similar locking on an X61 with the 32-bit kernel: 2.6.27.19-170.2.35.fc10.i686

So far I've only been able to reproduce when using a docking station w/external monitor, keyboard and mouse. 

Usually, the failure to come out or screensaver lock is exactly as Andrew describes. However, this time was a little different in that the lock occured immediately after I'd sucessfully logged-in. The screen saver was removed and I could see my desktop but not interact with it. 
- The mouse pointer moved but I could not click on anything
- Alt+tab would not switch apps,
- Ctrl+Alt+Backspace did not kill the X server, no effect
- Ctrl+Alt+F2, switched display to terminal, briefly displayed login prompt but then the screen quickly filled with messages which appeared to come from /var/log/messages 
- Many messages scrolled by quickly then stopped at the following, which appeared to repeat every minute or so:
[<c041473b>] ? flush_tlb_page+0x59/0x76
[<c041e60a>] ? ptep_set_access_flags+0x5a/0x64
[<c041f2c5>] ? kunmap_atomic+0x87/0xa7
[<c047c41e>] ? do_wp_page+0x42f/0x498
[<c048eecd>] ? __slab_free+0x63/0x26e
[<c06ac6b2>] ? do_page_fault+0x0/0x710
[<c06aaf8a>] error_code+0x72/0x78
[<c047d3f2>] ? handle_mm_fault+0xc7/0x6d1
[<c049d9ef>] ? core_sys_select+0x120/0x1a3
[<c06aab89>] ? _spin_lock+0x8/0xb
[<c04a691b>] ? mnt_drop_write+0x60/0xe9
[<c041f7e2>] ? need_resched+0x18/0x22
[<c06a981a>] ? _cond_resched+0x8/0x32
[<c06ac9ef>] do_page_fault+0x33d/0x710
[<c042f0fb>] ? wait_noreap_copyout+0x9e/0xb3
[<c0430336>] ? wait_consider_task+0x6aa/0x8e4
[<c043ef62>] ? autoremove_wake_function+0x0/0x33
[<c043f1b9>] ? remove_wait_queue+0x22/0x29
[<c0430743>] ? do_wait+0x1d3/0x281
[<c04281df>] ? default_wake_function+0x0/0xd
[<c04308fb>] ? sys_waitid+0x61/0x81
[<c06ac6b2>] ? do_page_fault+0x0/0x710
[<c06aaf8a>] error_code+0x72/0x78
=======================
Comment 4 Rick Allen 2009-04-10 17:34:01 EDT
Created attachment 339136 [details]
Found this kerneloops file in /tmp with timestamp which seems to match the screen lockup
Comment 5 Bug Zapper 2009-06-09 08:06:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Christina Rhine 2009-07-16 15:44:50 EDT
Created attachment 354044 [details]
Bug report generated when screen lock issue occurred.

This gnome-screensaver bug report was generated when the issue identified in Bug ID# 489572 happened to my system.  I used CTRL-ALT-F2 to get a command-line login, killed gnome-screensaver process, CTRL-ALT-F1 to get back to the once-locked screen to find bug-buddy had generated a bug report for the killed process.
Comment 7 Bug Zapper 2010-04-27 09:09:16 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 07:26:19 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.